// This file is part of Snownews - A lightweight console RSS newsreader
//
// Copyright (c) 2003-2004 Oliver Feiler <kiza@kcore.de>
//
// Snownews is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License version 3
// as published by the Free Software Foundation.
//
// Snownews is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty
// of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
// See the GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Snownews. If not, see http://www.gnu.org/licenses/.

#pragma once

// Define to the one symbol short name of this package
#define SNOWNEWS_NAME		"snownews"
// Define to the version of this package
#define SNOWNEWS_VERSION	"1.6.0"
// Define to the version string of this package
#define SNOWNEWS_VERSTRING	"v1.6.0"
// Define to the address where bug reports for this package should be sent
#define SNOWNEWS_BUGREPORT	"Oliver Feiler <kiza@kcore.de>"

// Define to the value of LOCALEPATH environment variable
#define LOCALEPATH	"/usr/share/locale"

// Snownews configuration files directory, starts with %s for $HOME
#define SNOWNEWS_CONFIG_DIR	"%s/.snownews/"
#define SNOWNEWS_CACHE_DIR	SNOWNEWS_CONFIG_DIR "cache/"

// Define to use experimental code
#undef USE_UNSUPPORTED_AND_BROKEN_CODE

// Define to output of uname
#define OS "linux"

// Define on SunOS and Solaris
#undef SUN

#include <sys/types.h>
#include <stdbool.h>
#include <stdint.h>
#include <stdlib.h>
#include <string.h>
#include <limits.h>
#include <assert.h>
#include <stdio.h>
#include <time.h>

#ifdef LOCALEPATH
	#include <libintl.h>
	#include <locale.h>
	#define _(String) gettext (String)
#else
	#define _(String) (String)
	#define ngettext(Singular, Plural, n) (Plural)
#endif
#ifdef SUN
	#include "os-support.h"
#endif
